Subject: ethernet cache question

From: cranium 2003 <[email-masked]>
Date: Mon, 31 Jan 2005 16:26:06 +0530

Hello,
      By looking at structure hh_cache it is seen that hh_output is structure
variable defined as
unsigned long   hh_data[HH_DATA_ALIGN(LL_MAX_HEADER) / sizeof(long)];
Then i want to know how its sufficient in linux kernel to copy cache ethernet
header entry as
memcpy(skb->data - 16, hh->hh_data, 16);
other variable defined in hh_cache is not seen as copied to packet structure.
How then ethernet header is copied to packet if ethernet header has cache
entry stored in hh_cache structure defiend in /usr/src/include/netdevice.h
regards,
cranium

--
Kernelnewbies: Help each other learn about the Linux kernel.
Archive:       http://mail.nl.linux.org/kernelnewbies/
FAQ:           http://kernelnewbies.org/faq/